<?php
session_start();

  include_once("../scripts/connect.php");

   $conexion=conecta_default();

   

   include_once("../scripts/session.php");

   //Validar Session



    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/



    if(!$sesion->isValida("1")){ /*Sesion invalida*/



	 header("Location: ../index.php?err=NoSesion");



    }/*no hay sesion*/



    else{



       $dato=explode("|",$_SESSION['usuario']);

       $sesion->setDatos($dato[0],$dato[1],$dato[2]);

       $sesion->setSesion();



    }

    //fin validar session
  
   $qcc1 = "SELECT id_inver FROM inversionista WHERE rfc = \"$rfc\" ";
           $ccc1 = mysqli_query($conexion, $qcc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rrc = mysqli_fetch_row($ccc1);
  
           $id_inv=$rrc[0];
	
  
  
  
  
  
  $fecha1 =$_POST['fecha_i'];
  $fecha2 =$_POST['fecha_f'];
  $id_cd =$_POST['listacd']; 
$tipon =$_POST['nota']; 

echo"$id_cd $tipon";
if($id_cd==0){$elcd="";
	
}else{$elcd="usuarios_ci_idusuarios_ci='".$id_cd."' and ";
	
}

if($tipon==0){$eltipo="tipostr_idtipostr!='12' and";
	
}else{$eltipo="tipostr_idtipostr='".$tipon."' and";
	
}



           $vef=0;
           $vdep=0;
		   $vtarj=0;
           $vns=0;
           $vas=0;
           $vreg=0;
           $vvou=0;
		   $ppag=0;
		   $preg=0;
		   $pvou=0;
		   $ctot=0;
		   $ptot=0;
		   $pasig=0;
           
  /*$q2 = "SELECT rfc, inversionista.nombre, appat, apmat, observaciones, fechat, idtransacciones FROM inversionista, transacciones, usuarios_ci  WHERE inversionista.id_inver=transacciones.inversionista_id_inver and usuarios_ci.idusuarios_ci=transacciones.usuarios_ci_idusuarios_ci and tipostr_idtipostr='10' and usuarios_ci.idusuarios_ci='".$id_cd."' and fechat =curdate() ";*/
  echo"<center><br>";
 
 $q2 = "SELECT rfc, nombre, appat, apmat, cantidad, puntos, fechat, transacciones.idtransacciones, tipostr_idtipostr, efectivo, deposito, tarjeta, regalias, voucher, porpagar, consec, usuarios_ci_idusuarios_ci, cdentrega, statusentrega, inversionista_id_inver, nombrec FROM transacciones join depositos on 
  transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver join pagovta on transacciones.idtransacciones=pagovta.idtransacciones left join otrasal on transacciones.idtransacciones=otrasal.idtransacciones
  WHERE  $eltipo $elcd fechat between '$fecha1' and '$fecha2' order by idtransacciones";	 
echo $q2;
  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta' . mysqli_error($conexion));
  //
  if(mysqli_affected_rows($conexion))
   {
  echo"<br><br><font size=\"+2\">Ventas anal&iacute;ticas del d&iacute;a $fecha1 al $fecha2</font><br><br><table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"> <tr>
			<th></th><th>Pedido</th><th>Transaccion</th><th>Referencia</th><th>RFC.</th><th>Nombre</th><th>Compras</th><th>Puntos</th><th>Nota</th><th>Efectivo</th><th>Depositos</th><th>Tarjeta</th><th>Regalias</th><th>Voucher</th><th>Por Pagar</th>
			<th>CDV</th><th>CDE</th><th>Estatus Ent</th>
			</tr>";
  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)
   {
	   $a0 = $r1[0];
	
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	   $a4 = $r1[4];
	  $a5 = $r1[5];
	  $a6 = $r1[6];
	  $a7 = $r1[7];
	  $a8 = $r1[8];
	   $a9 = $r1[9];
	    $a10 = $r1[10];
		 $a11 = $r1[11];
		  $a12 = $r1[12];
		   $a13 = $r1[13];
		    $a14 = $r1[14];
			 $a15 = $r1[15];
			 $a16 = $r1[16];
			 $a17 = $r1[17];
			 $a18 = $r1[18];
			 $a19 = $r1[19];
	   $vef+=$a9;
	   $vdep+=$a10;
	   $vtarj+=$a11;
	   $vreg+=$a12;
	   $vvou+=$a13;
	   $ppag+=$a14;
	   
	 //  $ctot+=$a4;
	   $ptot+=$a5;
	      $nombrecliente="$a1 $a2 $a3";
	  if($a8==10){$tiponota='VENTA';   	  }
	  if($a8==11){ $tiponota='SALIDA';  	  } 
	    if($a8==13){$tiponota='30% VIP';   	  }
	  if($a8==1){ $tiponota='CANCEL';  	  }
	  if($a8==38){$tiponota='RESERVA';}
    if($a8==39){$tiponota='ABONO';}  
		if($a8==6){ $tiponota='OTRASAL';  $nombrecliente=$r1[20];  } 
	
echo"
<tr>";
  if($a8!=1){echo"<form name=\"busca\" action=\"pedidos_masinfo.php\" target=\"_blank\" method=\"post\"><td><input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"info\" /><input type=hidden name=pedido value=$a7 />
	<input type=hidden name=centro value=$a16 />
	<input type=hidden name=dist value=$a19 /><input type=hidden name=tipon value=$a8 />
		  </form></td>";}else{echo"<td></td>";}
echo"<td>$a16"."-"."$a15</td><td>$a7</td><td>$objref[0]</td><td>$a0</td><td>$nombrecliente</td><td>$a4</td><td>$a5</td><td>$a8 $tiponota</td><td>$a9</td><td>$a10</td>
<td>$a11</td><td>$a12</td><td>$a13</td><td>$a14</td><td>$a16</td><td>$a17</td><td>$a18</td>
<td>
		  
			<form name=\"busca\" action=\"reticket.php\" method=\"post\"><input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"RT\" /><input type=hidden name=transacc value=$a7 />
	
		  </form></td>

</tr>
";
	}echo"</table>";
                                             }
                                             
                                  if ($tipon==0){
                                             
 if($id_cd==0){									   
	   $q22 = "SELECT rfc, inversionista.nombre, appat, apmat, cantidad, puntos, fechat, transacciones.idtransacciones, nsalida FROM transacciones join depositos 
      on transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver 
      left join asignaciones on asignaciones.idtransacciones=transacciones.idtransacciones WHERE  tipostr_idtipostr='12'and fechat between '$fecha1' and '$fecha2' order by idtransacciones";}
	  else{
		 $q22 = "SELECT rfc, inversionista.nombre, appat, apmat, cantidad, puntos, fechat, transacciones.idtransacciones, nsalida FROM transacciones join depositos 
      on transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver 
      left join asignaciones on asignaciones.idtransacciones=transacciones.idtransacciones WHERE  tipostr_idtipostr='12'and fechat between '$fecha1' and '$fecha2' and usuarios_ci_idusuarios_ci='".$id_cd."' order by idtransacciones"; 
	  }
  $c22 = mysqli_query($conexion, $q22) or die ('Error en la consulta' . mysqli_error($conexion));
  //
  if(mysqli_affected_rows($conexion))
   {
  echo"<center><br>Asignaci&oacute;n de Producto $date<br><table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"> <tr>
            <th>Transacci&oacute;n</th><th>RFC.</th><th>Nombre</th><th>Compras</th><th>Puntos</th><th>Nota Salida</th>
            </tr>";
  for($i=0;$r1 = mysqli_fetch_row($c22);$i++)
   {
       $a0 = $r1[0];
       $a1 = $r1[1];
       $a2 = $r1[2];
       $a3 = $r1[3];
       $a4 = $r1[4];
      $a5 = $r1[5];
      $a6 = $r1[6];
      $a7 = $r1[7];
       $a8 = $r1[8]; 
           //   $vas+=$a4;  
 //      $pasig+=$a5;
      $ptot+=$a5;
echo"<tr><td>$a7</td><td>$a0</td><td>$a1 $a2 $a3</td><td>$a4</td><td>$a5</td><td>$a8</td></tr>";
    }

    echo"</table>";
   }
   }
    $ctot=$vef+$vtarj+$vdep+$vreg+$vvou+$ppag;
									   echo"<br>Resumen del dia $date :
	<table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"><tr><th>Compras</th><th>Puntos</th><th>Efectivo</th><th>Depositos</th><th>Tarjeta</th><th>Regalias</th><th>Voucher</th><th>Por Pagar </th></tr>
	<tr><td>$ $ctot</td><td>$ptot</td><td>$ $vef</td><td>$ $vdep</td><td>$ $vtarj</td><td>$vreg</td><td>$vvou</td><td>$ $ppag</td>
	<td>
		  
			<form name=\"busca\" action=\"reticket.php\" method=\"post\"><input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"RT\" /><input type=hidden name=transacc value=$a7 />
	
		  </form></td>
	
	</tr>
	
	
	
	</table>
	<br>";
            
?>